//using System;
//using System.Threading;
//using MBN;
//using MBN.Modules;
//using Microsoft.SPOT;
//using Microsoft.SPOT.Presentation.Media;

//namespace TiltClickDemoApp
//{
//    public class Program
//    {
//        private static TiltClick tilt;
//        private static OLEDCClick oled;
//        private static MikroFont fnt;
//        private static MikroBitmap up;
//        private static MikroBitmap down;
//        private static MikroBitmap right;
//        private static MikroBitmap left;

//        public static void Main()
//        {
//            fnt = FontManager.GetFont(FontManager.FontName.TahomaReg12);
//            up = new MikroBitmap(Resources.GetBytes(Resources.BinaryResources.UpArrow));
//            down = new MikroBitmap(Resources.GetBytes(Resources.BinaryResources.DownArrow)); 
//            right = new MikroBitmap(Resources.GetBytes(Resources.BinaryResources.RightArrow));
//            left = new MikroBitmap(Resources.GetBytes(Resources.BinaryResources.LeftArrow));

//            oled = new OLEDCClick(Hardware.SocketFour) {FrameRate = OLEDCClick.FrameRates.OCS_140Hz};

//            oled.Canvas.Clear();

//            // Show some intro text
//            Debug.Print("Show some intro text");
//            oled.Canvas.DrawText("MikroBus.Net", fnt, KnownColors.Red, 0, 0, 96, fnt.FontHeight, true);
//            oled.Canvas.DrawText("Tilt Click", fnt, KnownColors.Yellow, 0, fnt.FontHeight * 2, 96, fnt.FontHeight, true);
//            oled.Canvas.DrawText("Demo App", fnt, KnownColors.Blue, 0, (fnt.FontHeight * 4) - 4, 96, fnt.FontHeight, true);
//            oled.Flush();

//            tilt = new TiltClick(Hardware.SocketTwo, false);
//            tilt.SamplingFrequency = new TimeSpan(0, 0, 0, 0, 500);
//            tilt.DebounceInterval = new TimeSpan(0, 0, 0, 0, 50);
//            tilt.TiltChanged += tilt_TiltChanged;
//            tilt.Orientation= TiltClick.SensorOrientation.Normal;
//            tilt.StartContinuousMeasurements();
//            var direction = tilt.GetTiltDirection();
//            Debug.Print("Direction: " + (direction == TiltClick.Direction.Right ? "Right" : direction == TiltClick.Direction.Left ? "Left" : direction == TiltClick.Direction.Forward ? "Forward" : "Backward"));
//            Thread.Sleep(-1);
//        }

//        static void tilt_TiltChanged(object sender, TiltClick.Direction direction)
//        {
//            Debug.Print("Tilt direction - " + (direction == TiltClick.Direction.Right ? "Right" : direction == TiltClick.Direction.Left ? "Left" : direction == TiltClick.Direction.Forward ? "Forward" : "Backward"));
//            switch (direction)
//            {
//                case TiltClick.Direction.Right:
//                {
//                    oled.Canvas.DrawImage(right, 0, 0);
//                    break;
//                }
//                case TiltClick.Direction.Left:
//                {
//                    oled.Canvas.DrawImage(left, 0, 0);
//                    break;
//                }
//                case TiltClick.Direction.Forward:
//                {
//                    oled.Canvas.DrawImage(up, 0, 0);
//                    break;
//                }
//                case TiltClick.Direction.Backward:
//                {
//                    oled.Canvas.DrawImage(down, 0, 0);
//                    break;
//                }
//                default:
//                {
//                    break;
//                }
//            }
            
//            oled.Flush();
//        }
//    }
//}
